Package com.sas.lsaf.content.repository

## Class SynchronizationFileInfo

- java.lang.Object
- - com.sas.lsaf.content.repository.SynchronizationFileInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SynchronizationFileInfo
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the information about a repository file when it was synchronized to the workspace. The information is a snapshot of the repository file information when the user retrieved the repository file and stored it in their workspace. The information is captured when a user calls certain methods, such as as `RepositoryService.copySpecificFileVersionToWorkspace(String, String)`, `RepositoryService.copyLatestFileVersionToWorkspace(String)`, or `RepositoryService.checkout(String)`.
  Since:
    1.7
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynchronizationFileInfo​(java.lang.String path, java.lang.String version, java.util.Date synchronization, java.util.Date repositoryFileLastModified, long repositoryFileSize)` | The initializing constructor that sets the values of all variables.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getPath()` | Gets the full path to the repository file.
    `java.util.Date` | `getRepositoryFileLastModified()` | Gets the last modification date on which the repository file was synchronized to the workspace.
    `long` | `getRepositoryFileSize()` | Gets the size of the repository file (in bytes) that was synchronized to the workspace.
    `java.util.Date` | `getSynchronization()` | Gets the date on which the repository file was synchronized to the workspace.
    `java.lang.String` | `getVersion()` | Gets the version of the repository file that was synchronized to the workspace.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SynchronizationFileInfo

          public SynchronizationFileInfo​(java.lang.String path,
                                         java.lang.String version,
                                         java.util.Date synchronization,
                                         java.util.Date repositoryFileLastModified,
                                         long repositoryFileSize)

      The initializing constructor that sets the values of all variables.

      It is not intended or recommended that the consumer of the API construct these objects. They should only be retrieved from service calls, such as `RepositoryService.getCheckedOutFilesSearchResults(int, int)`.

      Parameters:
        `path` - The full path to the repository file.
        `version` - The version of the repository file that is synchronized to the workspace.
        `synchronization` - The date on which the repository file was synchronized to the workspace.
        `repositoryFileLastModified` - The date on which the repository file version that was synchronized to the workspace was last modified.
        `repositoryFileSize` - The size (in bytes) of the repository file version that was synchronized to the workspace.

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Gets the full path to the repository file.
      Returns:
        The full path to the repository file.

    - #### getVersion

          public java.lang.String getVersion()

      Gets the version of the repository file that was synchronized to the workspace.
      Returns:
        The version of the repository file that was synchronized to the workspace.

    - #### getSynchronization

          public java.util.Date getSynchronization()

      Gets the date on which the repository file was synchronized to the workspace.
      Returns:
        The date on which the repository file was synchronized to the workspace.

    - #### getRepositoryFileLastModified

          public java.util.Date getRepositoryFileLastModified()

      Gets the last modification date on which the repository file was synchronized to the workspace.

      The date corresponds to the last modification date of the repository file version that was synchronized to the workspace. For example, if version 1 of the repository file was last modified on 1/1/2011 and version 2 was last modified on 2/2/2012 and version 1 was synchronized to the workspace, then the value is 1/1/2011. To be clear, this date is not necessarily the last modification date of the current version of the repository file. It is the last modification date of the repository file that was synchronized to the workspace.

      Returns:
        The last modification date on which the repository file synchronized to the workspace.

    - #### getRepositoryFileSize

          public long getRepositoryFileSize()

      Gets the size of the repository file (in bytes) that was synchronized to the workspace.

      The file size corresponds to the size of the repository file version that was synchronized to the workspace. For example, if version 1 of the repository file has a size of 111 (bytes) and version 2 has a size of 222 (bytes) and version 1 was synchronized to the workspace, then the value is 111 (bytes). To be clear, this value is not necessarily the file size of the current version of the repository file. It is the file size of the repository file that was synchronized to the workspace.

      Returns:
        The size (in bytes) of the repository file that was synchronized to the workspace.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`